# flopc::MP_index_sum Class Reference
[Internal (private) interface.]

Internal representation of an index expression. More...

`#include <MP_index.hpp>`

Inheritance diagram for flopc::MP_index_sum:
[legend]
Collaboration diagram for flopc::MP_index_sum:
[legend]

List of all members.

## Private Member Functions
| MP_index_sum (MP_index &i, const Constant &j)
int | evaluate () const
MP_index * | getIndex () const
virtual MP_domain | getDomain (MP_set *s) const
## Private Attributes
MP_index_exp | left
Constant | right
## Friends
MP_index_exp | operator+ (MP_index &i, const Constant &j)
| returns an index expression from a sum between an MP_index and a Constant.
MP_index_exp | operator+ (MP_index &i, const int &j)
| returns an index expression from a sum between an MP_index and an integer.

## Detailed Description

Internal representation of an index expression.

Note:
  FOR INTERNAL USE: This is not normally used directly by the calling code.

See also:
  operator+(MP_index& i, const Constant & j);

Definition at line 196 of file MP_index.hpp.

## Constructor & Destructor Documentation

flopc::MP_index_sum::MP_index_sum | ( | MP_index & | i,
|  | const Constant & | j |
| ) |  |  | `[inline, private]`

Definition at line 200 of file MP_index.hpp.

## Member Function Documentation

int flopc::MP_index_sum::evaluate | ( |  | ) | const`[inline, private, virtual]`

Implements flopc::MP_index_base.

Definition at line 202 of file MP_index.hpp.

MP_index* flopc::MP_index_sum::getIndex | ( |  | ) | const`[inline, private, virtual]`

Implements flopc::MP_index_base.

Definition at line 205 of file MP_index.hpp.

virtual MP_domain flopc::MP_index_sum::getDomain | ( | MP_set * | s | ) | const`[private, virtual]`

Implements flopc::MP_index_base.

## Friends And Related Function Documentation

MP_index_exp operator+ | ( | MP_index & | i,
|  | const Constant & | j |
| ) |  |  | `[friend]`

returns an index expression from a sum between an MP_index and a Constant.

MP_index_exp operator+ | ( | MP_index & | i,
|  | const int & | j |
| ) |  |  | `[friend]`

returns an index expression from a sum between an MP_index and an integer.

(i+5)

## Member Data Documentation

MP_index_exp flopc::MP_index_sum::left`[private]`

Definition at line 209 of file MP_index.hpp.

Constant flopc::MP_index_sum::right`[private]`

Definition at line 210 of file MP_index.hpp.

The documentation for this class was generated from the following file:

- /home/coin/svn-release/Smi-0.93.1/FlopCpp/src/MP_index.hpp